#A generic way to build the correlation matrix
getCorMat = function(grid, depType, csList, posCors = c("gaussCor", "spherCor", "linCor")){
    cors = Filter(sapply(posCors, grep, depType, value = TRUE), f = is.character)
    if(any(id <- sapply(cors, length)>0)){
        corMatrix(Initialize(csList[[posCors[[which(id)]]]], grid), corr = TRUE)
    } else {
        diag(nrow(grid))
    }
}