#Decorrelate data per fold
getDecorDat = function(kernelData, foldid, form = formula("y~1"), xNames,...){
    desMat = cbind(1,as.matrix(kernelData[,c("y", xNames)]))
    for(i in unique(foldid)){
        id = i != foldid
        margCorMat = getMargCorMat(kernelData = kernelData[id,], form = form, ...)
        desMat[id, ] = margCorMat %*% cbind(1, as.matrix(kernelData[id, c("y", xNames)]))
    }
    return(desMat)
}
