splitPlot = function(dd, rowSplits = gridSize/nSplits*seq_len(2), colSplits = rowSplits, returnFactor =TRUE){
    row = LETTERS[1+sapply(dd$x, function(r) sum(r<= rowSplits))]
    col = seq_len(1+length(colSplits))[1+sapply(dd$y, function(r) sum(r<= colSplits))]
    data.frame("row" = row, "col" = col, "plot" = factor(paste0(row,col)))
}