#Correlation panel aux functions
panel.cor <- function(x, y, z = NULL){
    usr <- par("usr"); on.exit(par(usr))
    par(usr = c(0, 1, 0, 1))
    rawCor = if(is.null(z)) cor(x, y, use = "pairwise.complete.obs") else
        partial.r(data  = cbind(x, y, z), x = 1:2, y = 3:(ncol(z)+2))
    r <- round(rawCor, digits=2)
    txt <- r
    cex.cor <- abs(r)*2
    text(0.5, 0.5, txt, cex = cex.cor)
}
panel.partial.cor = function(..., z = model.matrix(~phenData$Variety)) {panel.cor(..., z = z)}